var mySettings={
    styleBackground:	'000000',
    footerDisplayMode:	'featuredAndLegal',
    footerStyleSet:		'dark'
}

// 
// JavaScript's functions for Disney Ticket Widget
//
// Trapeze Media Ltd., Toronto, Ontario, Canada
//

function tw_ValidateForm()
{
	if (TW_findObj("ZIPCode").value != "") {
                checkZip(TW_findObj("ZIPCode"));
		return true;
	}
	if (TW_findObj("City").value == "") {
		alert("You have to enter ZIP/Postal Code or City.");
		TW_findObj("ZIPCode").focus();
		return false;
	}
        if (checkCity(TW_findObj("City"))) {
		TW_findObj("City").focus();
		return false;
	}
	if (TW_findObj("State").value == "--") {
		alert("You have to select State/Province.");
		TW_findObj("State").focus();
		return false;
	}  
        return true;
}	

function TW_findObj(n, d) 
{
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=TW_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function checkZip(field) {field.value=field.value.replace(/\ /g, '');}/*REMOVING ANY SPACES FROM THE ZIP/POSTAL CODE*/

function checkCity(field) {
 field.value=field.value.replace(/^ +/mg,'');// REPLACING ANY LEADING SPACES
 field.value=field.value.replace(/ +/mg,' ');// REPLACING EXTRA SPACES BETWEEN TWO WORDS SO THERE'S ONLY ONE SPACE
 city = /^[a-z,A-Z, ]*$/;//CHECKING TO MAKE SURE THERE ARE NO NUMBERS IN THE CITY NAME
 if(city.test(field.value)==false) {
  alert("Please enter a city.");//IF NUMBERS, ALERT THE USER
  field.value = '';
  return true;
 }
 return false;
}



// cookie get / set
function setCookie( name, value, expires, path, domain, secure )
{
	// set time in milliseconds
	var today = new Date();
	today.setTime( today.getTime() );
	if ( expires )
	{
		// set expire time to minutes
		expires = expires * 1000 * 60;
	}
	var expires_date = new Date( today.getTime() + (expires) );
	document.cookie = name + "=" +escape( value ) +
	( ( expires ) ? ";expires=" + expires_date.toGMTString() : "" ) +
	( ( path ) ? ";path=" + path : "" ) +
	( ( domain ) ? ";domain=" + domain : "" ) +
	( ( secure ) ? ";secure" : "" );
}

function getCookie( check_name )
{
	var a_all_cookies = document.cookie.split( ';' );
	var a_temp_cookie = '';
	var cookie_name = '';
	var cookie_value = '';
	var b_cookie_found = false; // set boolean t/f default f
	for ( i = 0; i < a_all_cookies.length; i++ )
	{
		a_temp_cookie = a_all_cookies[i].split( '=' );
		cookie_name = a_temp_cookie[0].replace(/^\s+|\s+$/g, '');
		if ( cookie_name == check_name )
		{
			b_cookie_found = true;
			if ( a_temp_cookie.length > 1 )
			{
				cookie_value = unescape( a_temp_cookie[1].replace(/^\s+|\s+$/g, '') );
			}
			return cookie_value;
			break;
		}
		a_temp_cookie = null;
		cookie_name = '';
	}
	if ( !b_cookie_found )
	{
		return null;
	}
}

function deleteCookie( name, path, domain )
{
	if ( getCookie( name ) )
	{
		document.cookie = name + "=" +
		( ( path ) ? ";path=" + path : "") +
		( ( domain ) ? ";domain=" + domain : "" ) +
		";expires=Thu, 01-Jan-1970 00:00:01 GMT";
	}
}